org.apache.solr.client.solrj.io

## Class DescFieldComp

- java.lang.Object
- - org.apache.solr.client.solrj.io.DescFieldComp

All Implemented Interfaces:
  Serializable, Comparator<Tuple>

    public class DescFieldComp
    extends Object
    implements Comparator<Tuple>, Serializable

An descending field Comparator which compares a field of two Tuples and determines sort order.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DescFieldComp(String field)`

### Method Summary

Methods
`int` `compare(Tuple t1, Tuple t2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### DescFieldComp

    public DescFieldComp(String field)

### Method Detail

#### compare

    public int compare(Tuple t1,
              Tuple t2)

Specified by:
  `compare` in interface `Comparator<Tuple>`